Bug 201684 - CVE-2006-4093 Local DoS through uncleared HID0[31]
Summary: CVE-2006-4093 Local DoS through uncleared HID0[31]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Janice Girouard - IBM on-site partner
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-08 10:34 UTC by Marcel Holtmann
Modified: 2012-05-19 23:38 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0689
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 19:18:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0689 normal SHIPPED_LIVE Important: kernel security update 2006-10-05 04:00:00 UTC

Description Marcel Holtmann 2006-08-08 10:34:17 UTC
Report from Olof Johansson:

On PPC970, having HID0[31] (en_attn) set makes it possible to wedge the machine
by just doing an 'asm volatile("attn");' from userspace, clearly a local DoS
exposure. Apple firmware seems to set it and we don't clear it at boot time.

I'm not aware of any intentional exploits of this. I happened to come across it
by running crash01 from LTP, it tries to execute random data as code and kept
locking up my machine.

Comment 1 Marcel Holtmann 2006-08-08 10:35:56 UTC
Created attachment 133779 [details]
Proposed patch from Olof Johansson

Comment 5 Jason Baron 2006-09-26 15:00:36 UTC
committed in stream E5 build 42.0.3

Comment 6 RHEL Product and Program Management 2006-09-27 22:38:38 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Jason Baron 2006-09-28 15:52:23 UTC
committed in stream U5 build 42.14. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 9 Jay Turner 2006-10-03 13:39:51 UTC
QE ack for 4.5.

Comment 11 Red Hat Bugzilla 2006-10-05 19:18:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0689.html



Note You need to log in before you can comment on or make changes to this bug.